<template>
  <div class="top back">
    <div class="t-mov">
      <swiper class="swiper" :options="swiperOption">
        <swiper-slide v-for="(item, i) in slideData" :key="i">
          <div class="t-item">
            <img :src="item.img" /> <span>{{ item.name }}</span>
          </div></swiper-slide
        >
      </swiper>
    </div>
  </div>
</template>

<script>
import { Swiper, SwiperSlide, directive } from "vue-awesome-swiper";
import "swiper/css/swiper.css";
export default {
  name: "swiper-example-autoplay",
  title: "Autoplay",
  components: {
    Swiper,
    SwiperSlide,
  },
  directives: {
    swiper: directive,
  },
  data() {
    return {
      swiperOption: {
        slidesPerView: 6,
        // spaceBetween: 2,
        centeredSlides: false,
        autoplay: {
          delay: 3000,
          disableOnInteraction: false,
        },
        speed: 800,
      },
      slideData: [
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
        {
          img: require("@/assets/movies/test.jpg"),
          name: "Film Name",
        },
      ],
    };
  },
};
</script>

<style scoped lang="scss">
.swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}
.top {
  margin-bottom: 1vh;
  .m-p {
    height: 20px;
    span {
      color: rgb(255, 196, 0);
      font-weight: 600;
    }
  }
  .t-mov {
    width: 100%;
    .t-item {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      position: relative;
      img {
        border-radius: 20px;
        width: 10vmax;
        height: 268px;
      }
      span {
        color: white;
        font-size: 20px;
        font-weight: 700;
        position: absolute;
        bottom: 10px;
        left: 0;
        right: 0;
      }
    }
  }
}
</style>